Skip to content

List Profiles

GET
/api/v1/projects/{project_id}/profiles
curl --request GET \
--url https://api.totalview.energy/api/v1/projects/example/profiles \
--header 'Authorization: Bearer <token>'

List all generation profiles for a project, optionally filtered by scenario.

project_id
required
Project Id
string
scenario_id
Any of:
string

Successful Response

Media type application/json
ProfileListOut

Response schema for listing profiles.

object
profiles
required
Profiles
Array<object>
ProfileOut

Response schema for a generation profile.

object
profile_id
required
Profile Id
string format: uuid
project_id
required
Project Id
string format: uuid
scenario_id
Any of:
string format: uuid
profile_label
required
Profile Label
string
confidence_level
Any of:
integer
source
Any of:
string
annual_generation_mwh
Any of:
number
is_primary
Is Primary
boolean
created_at
Any of:
string format: date-time
Example
{
"profiles": [
{
"is_primary": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}